Updates the task_activity_log with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

task_activity_log
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

task_id

Task id

globally unique identifier

Optionally required : task_id, task_reference_back_office or task must be provided

task_reference_back_office

Embedded code "task" using ERP PK when adding/updating task_activity_log

string

Optionally required : task_id, task_reference_back_office or task must be provided

task

Embedded entity "task" using node when adding/updating task_activity_log

task

Optionally required : task_id, task_reference_back_office or task must be provided

task_activity_id

task_activity_id

globally unique identifier

Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided

task_activity_reference_back_office

Embedded code "task_activity" using ERP PK when adding/updating task_activity_log

string

Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided

task_activity

Embedded entity "task_activity" using node when adding/updating task_activity_log

task_activity

Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided

user_id

user_id

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded code "user" using ERP PK when adding/updating task_activity_log

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating task_activity_log

user

Optionally required : user_id, user_code or user must be provided

contact_id

contact_id

globally unique identifier

Optionally required : contact_id, contact_reference_back_office or contact must be provided

contact_reference_back_office

Embedded code "contact" using ERP PK when adding/updating task_activity_log

string

Optionally required : contact_id, contact_reference_back_office or contact must be provided

contact

Embedded entity "contact" using node when adding/updating task_activity_log

contact

Optionally required : contact_id, contact_reference_back_office or contact must be provided

subject

Saubject

string

Max length: 64

description

Description

string
due_date

Date+Time of the due date

date

Required

is_closed

is_closed

boolean
date_closed

Date+Time of the date_closed

date

Required

reference_back_office

reference_back_office of task_activity_log

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "dd8e7355-4af6-4d00-b611-b3f0463e138a",
  "task_id": "c1e0eb27-78c3-4aea-b129-1cdbe38c1a44",
  "task_reference_back_office": "sample string 3",
  "task_activity_id": "5c4639d0-bc1b-4ddc-b5a8-b6236616395f",
  "task_activity_reference_back_office": "sample string 5",
  "user_id": "f031ff6a-a55c-4e9d-809f-1f668911c72d",
  "user_code": "sample string 7",
  "contact_id": "321b23ac-d50f-4427-ad4d-b8cba1b74325",
  "contact_reference_back_office": "sample string 9",
  "subject": "sample string 10",
  "description": "sample string 11",
  "due_date": "2026-06-05T19:37:27.2670812+00:00",
  "is_closed": true,
  "date_closed": "2026-06-05T19:37:27.2670812+00:00",
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-06-05T19:37:27.2670812+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.